<?php

	lt_include( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
	
	/**
	 * allows users to group blog posts into 'series', with a separate headline, rather than
     * having to use the title field or creating a new category for a temporary series
	 */
	class PluginSeries extends PluginBase
	{
		function PluginSeries($source = ""){
			$this->PluginBase($source);
			
			$this->id = "series";
			$this->desc = "Allows groups of blog posts to be grouped into a series, with a separate headline";
			$this->author = "Jon Daley";
			$this->version = "20111004";

            if( $source == "admin" )
                $this->initAdmin();

        }

            /**
             * registers all the filters and actions that we're going to
             * use on the admin side
             */
		function initAdmin(){			
			$this->registerAdminAction( "seriesPluginSettings", "AdminSeriesPluginSettingsAction" );
			$this->registerAdminAction( "pluginSeriesUpdateSettings", "AdminSeriesPluginUpdateSettingsAction" );
			
			$this->addMenuEntry( "/menu/Manage/managePosts", "seriesPluginSettings", "admin.php?op=seriesPluginSettings", "", true, false );
		}

        
        function register(){
		    $blogSettings = $this->blogInfo->getSettings();
		    $this->pluginEnabled = $blogSettings->getValue( "plugin_series_enabled" );
	    }
	    
	    function isEnabled(){
	        return $this->pluginEnabled;
	    }

        function getPluginConfigurationKeys(){

            return (Array(
                        Array("name" => "plugin_series_enabled",
                              "type" => "boolean"),
                          ));
        }
	}
